=== debian/changelog ===
freecad (0.19.2+dfsg1-3ubuntu1) jammy; urgency=medium

  * d/p/python3.10.patch: fix collections.Iterable -> collections.abc.Iterable
    for Python 3.10. Taken from upstream's commit.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 14 Feb 2022 15:22:42 +0000

freecad (0.19.2+dfsg1-3build2) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:20:03 +0100

freecad (0.19.2+dfsg1-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 17 Jan 2022 18:11:08 +0000

freecad (0.19.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * [6e8d7af] Compile against vtk9 instead of vtk7

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Sep 2021 09:52:47 +0200

freecad (0.19.2+dfsg1-2) unstable; urgency=medium

  * [bc42245] Add patch for OpenCASCADE >= 7.5.2
  * [acc44a0] Add Rules-Requires-Root: no
  * [8a24737] Add DEP-3 headers to document OpenCASCADE 7.4.0 patch
  * [cafc615] Update to Standards-Version 4.6.0 (no changes required)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 06 Sep 2021 19:13:40 -0500

freecad (0.19.2+dfsg1-1) unstable; urgency=medium

  * [9a27ec0] New upstream version 0.19.2+dfsg1
  * [cbf49b1] Refresh fix-s390x-test-fail-skip-load-old-file.patch

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sat, 04 Sep 2021 15:44:21 -0500
